@import "../../../../../../../styles/global/var";

jira-integration-form {
    display: block;
}

.jira-integration-form {
    max-width: 660px;
    margin: 46px auto 0;

    &__header {
        padding-bottom: 36px;
        margin-bottom: 20px;
        border-bottom: 1px solid $gray8be;

        &-content {
            display: flex;
            align-items: center;

            .md-button.md-icon-button {
                margin: 0 0 0 32px;
            }
        }

        &-warning {
            border-radius: 4px;
            background-color: $state-info-bg;
            padding: 8px 56px 8px 16px;
            position: relative;
            font-weight: 500;
            font-size: 12px;
            line-height: 16px;
            color: $black;
            margin-top: 20px;

            .md-button.md-icon-button {
                margin: 0;
                position: absolute;
                right: 12px;
                top: 0;
            }
        }
    }

    &__note {
        margin: 20px 0;
        font-size: 14px;
        line-height: 24px;
        color: $gray57c;
        display: inline-block;
        width: 100%;
    }

    &__integration {
        &-type {
            flex: auto;
            &-select {
                display: flex;
                align-items: center;
            }
            &-option {
                margin: 0 40px 0 0;
                font-size: 14px;
                line-height: 24px;
                color: $black;
            }
        }
        &-actions {
            flex: none;
            margin-right: 0;
            margin-left: auto;

            .md-button.md-icon-button:not(._default-md-style) {
                i.material-icons,
                md-icon {
                    color: $gray57c;
                }
                &:not([disabled]):hover {
                    i.material-icons,
                    md-icon {
                        color: $black;
                    }
                }
                &:not([disabled])._enabled {
                    i.material-icons,
                    md-icon {
                        color: $green-new;
                    }
                    &:hover {
                        i.material-icons,
                        md-icon {
                            color: $greenb41;
                        }
                    }
                }
                &[disabled] {
                    i.material-icons,
                    md-icon {
                        color: $gray8be;
                    }
                }
            }
        }
    }

    md-input-container {
        margin: 20px 0;
    }

    &__checkbox {
        width: auto;
        margin-bottom: 0;
        height: 24px;
        font-size: 0;

        .md-label {
            font-size: 14px;
            line-height: 24px;
        }

        &-container {
            font-size: 0;
        }
    }

    &__footer {
        margin-top: 20px;

        &-actions {
            display: flex;
            align-items: center;
            justify-content: flex-end;
            .md-button {
                &._test-integration {
                    margin-left: 0;
                    margin-right: auto;
                }
            }

            .md-button + .md-button {
                margin-left: 16px;
            }
        }
        &-messages {
            min-height: 88px;
        }
        &-message {
            color: $gray57c;
            display: flex;
            margin-top: 8px;

            &._connected {
                color: $green-new;
            }
            &._failed {
                color: $yellow500;
            }

            &-icon {
                &,
                &.material-icons {
                    flex: none;
                    margin: 0 8px 0 0;
                    font-size: 16px;
                    line-height: 16px;
                    height: 16px;
                    width: 16px;
                    min-height: 16px;
                    min-width: 16px;
                    color: currentColor;
                }
            }
            &-text {
                font-size: 11px;
                line-height: 16px;
                flex: auto;
                &:not(:last-of-type) {
                    margin: 0 0 .5em;
                }
            }

            md-progress-circular {
                path {
                    stroke: #C4C4C4;
                }
            }
        }
    }
}
